Loading...
Searching...
No Matches
gtsam::ISAM2DoglegParams Struct Reference
ISAM2

## Detailed Description

Parameters for ISAM2 using Dogleg optimization.

Either this class or ISAM2GaussNewtonParams should be specified as the optimizationParams in ISAM2Params, which should in turn be passed to ISAM2(const ISAM2Params&).

## Public Member Functions

| ISAM2DoglegParams (double _initialDelta=1.0, double _wildfireThreshold=1e-5, DoglegOptimizerImpl::TrustRegionAdaptationMode _adaptationMode=DoglegOptimizerImpl::SEARCH_EACH_ITERATION, bool _verbose=false)
| Specify parameters as constructor arguments.
void | print (const std::string str="") const
double | getInitialDelta () const
double | getWildfireThreshold () const
std::string | getAdaptationMode () const
bool | isVerbose () const
void | setInitialDelta (double initialDelta)
void | setWildfireThreshold (double wildfireThreshold)
void | setAdaptationMode (const std::string &adaptationMode)
void | setVerbose (bool verbose)
std::string | adaptationModeTranslator (const DoglegOptimizerImpl::TrustRegionAdaptationMode &adaptationMode) const
DoglegOptimizerImpl::TrustRegionAdaptationMode | adaptationModeTranslator (const std::string &adaptationMode) const

## Public Attributes

double | initialDelta
| The initial trust region radius for Dogleg.
double | wildfireThreshold
| Continue updating the linear delta only when changes are above this threshold (default: 1e-5).
DoglegOptimizerImpl::TrustRegionAdaptationMode | adaptationMode
| See description in DoglegOptimizerImpl::TrustRegionAdaptationMode.
bool | verbose
| Whether Dogleg prints iteration and convergence information.

## Constructor & Destructor Documentation

## ISAM2DoglegParams()

gtsam::ISAM2DoglegParams::ISAM2DoglegParams | ( | double | _initialDelta = 1.0,
|  | double | _wildfireThreshold = 1e-5,
|  | DoglegOptimizerImpl::TrustRegionAdaptationMode | _adaptationMode = DoglegOptimizerImpl:: SEARCH_EACH_ITERATION,
|  | bool | _verbose = false )

inline

Specify parameters as constructor arguments.

Parameters

  _initialDelta | see ISAM2DoglegParams::initialDelta
  _wildfireThreshold | see ISAM2DoglegParams::wildfireThreshold
  _adaptationMode | see ISAM2DoglegParams::adaptationMode
  _verbose | see ISAM2DoglegParams::verbose

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/ISAM2Params.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/ISAM2Params.cpp